Package org.h2.store

# Class LobStorageRemoteInputStream

java.lang.Object
java.io.InputStream
org.h2.store.LobStorageRemoteInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class LobStorageRemoteInputStream extends InputStream
An input stream used by the client side of a tcp connection to fetch LOB data on demand from the server.

## Constructor Summary

Constructors
Constructor
Description
`LobStorageRemoteInputStream(SessionRemote handler, long lobId, byte[] hmac)`

## Method Summary

Modifier and Type
Method
Description
`int`
`read()`
`int`
`read(byte[] buff)`
`int`
`read(byte[] buff, int off, int length)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LobStorageRemoteInputStream

public LobStorageRemoteInputStream(SessionRemote handler, long lobId, byte[] hmac)

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] buff) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] buff, int off, int length) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`